Block Rewards Details
curl --request GET \
--url https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"device_id": "00fd3995-9bf3-4371-87fd-91237a8248ed",
"total_block_rewards": 0,
"total_blocks_earned": 0,
"total_blocks_failed": 0,
"total_blocks_missed": 0,
"datewise_earnings_summary": []
}Not found{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}Get Started With IO Explorer API
Block Rewards Details
The Block Rewards Details endpoint returns insights about the block rewards associated with a specific device. This includes, but isn’t limited to, successful rewards, failed and missed rewards, and an earnings summary.
GET
/
v1
/
io-blocks
/
devices
/
{device_id}
/
block-rewards-summary
/
{from_date}
/
{to_date}
Block Rewards Details
curl --request GET \
--url https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.io.solutions/v1/io-blocks/devices/{device_id}/block-rewards-summary/{from_date}/{to_date}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"device_id": "00fd3995-9bf3-4371-87fd-91237a8248ed",
"total_block_rewards": 0,
"total_blocks_earned": 0,
"total_blocks_failed": 0,
"total_blocks_missed": 0,
"datewise_earnings_summary": []
}Not found{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for your device.
The start date for the block reward info.
The start date for the block reward info.